%define name libgdgeda
%define version 1.8
%define release 3mdk

%define major 4
%define libname %name%major


Summary: 	Graphical libraries for the gEDA project
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source:		%{name}-%{version}.tar.bz2
Url:		http://www.geda.seul.org
License:	LGPL 
Group: 		Sciences/Other
BuildRoot:    	%{_tmppath}/%{name}-buildroot
BuildRequires:  zlib >= 1.1
BuildRequires:  libpng >= 1.0

%description
Libgdgeda is a hack on libgd, which is a graphics library.  It allows your
code to quickly draw images complete with lines, arcs, text, multiple
colors, cut and paste from other images, and flood fills, and write out
the result as a .PNG file.

%package -n %libname
Summary:        Graphical libraries for the gEDA project
Group:          Sciences/Other
Obsoletes:	libgdgeda
Provides: 	libgdgeda

%description -n %libname
Libgdgeda is a hack on libgd, which is a graphics library.  It allows your
code to quickly draw images complete with lines, arcs, text, multiple
colors, cut and paste from other images, and flood fills, and write out
the result as a .PNG file.

%package -n %libname-devel
Summary:	Graphical development libraries for the gEDA project
Group:		Development/C
Obsoletes: libgdgeda-devel
Provides: libgdgeda-devel
Requires: libgdgeda4 = 1.8

%description -n %libname-devel
This package contains libgdgeda header files that are needed for
development.
Libgdgeda is a hack on libgd, which is a graphics library. It allows your
code to quickly draw images complete with lines, arcs, text, multiple
colors, cut and paste from other images, and flood fills, and write out
the result as a .PNG file.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
%configure
%make


%install
%makeinstall
./libtool --finish $RPM_BUILD_ROOT/%{_libdir}

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean
rm -Rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-,root,root)
%doc COPYING HISTORY README README.1ST
%{_libdir}/libgdgeda.so.4
%{_libdir}/libgdgeda.so.4.0.0
%{_bindir}/libgdgeda-config

%files -n %libname-devel
%defattr(-,root,root)
%{_libdir}/libgdgeda.so
%{_libdir}/libgdgeda.a
%{_libdir}/libgdgeda.la
%dir %{_includedir}/gdgeda
%{_includedir}/gdgeda/*

%changelog
* Tue Jul 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.8-3mdk
- rebuild

* Sat Mar 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.8-2mdk
- rebuild
- suppress zero length files

* Tue Mar 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.8-1mdk
- updated by Michael Brown <mbrown@linux-mandrake.com> :
	- Up to 1.8
	- Added buildRequires: for zlib and libpng in accordance with
  	instructions.
	- Updated files-doc list
	- Library major version now up to 4

* Fri Sep 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.6-2mdk
- bzip2 archive
- BM
- macros

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.6-1mdk
- first mdk spec
